/*
  Bear Engine

  Copyright (C) 2005-2008 Julien Jorge, Sebastien Angibaud

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: plee-the-bear@gamned.org

  Please add the tag [Bear] in the subject of your mails.
*/
/**
 * \file music.hpp
 * \brief A class representing a music.
 * \author Julien Jorge
 */
#ifndef __AUDIO_MUSIC_HPP__
#define __AUDIO_MUSIC_HPP__

#include "audio/class_export.hpp"

namespace bear
{
  namespace audio
  {
    /**
     * \brief A class representing a music.
     */
    class AUDIO_EXPORT music
    {
    public:
      virtual ~music();

      virtual void play();
      virtual void stop();

      virtual void set_volume( double v );

    }; // class music
  } // namespace audio
} // namespace bear

#endif // __AUDIO_MUSIC_HPP__
