/*
  Bear Engine

  Copyright (C) 2005-2008 Julien Jorge, Sebastien Angibaud

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: plee-the-bear@gamned.org

  Please add the tag [Bear] in the subject of your mails.
*/
/**
 * \file time_reference.hpp
 * \brief This class represente a date, in terms of milliseconds.
 * \author Julien Jorge.
 */
#ifndef __TIME_TIME_REFERENCE_HPP__
#define __TIME_TIME_REFERENCE_HPP__

#include "time/class_export.hpp"

namespace bear
{
  namespace time_ref
  {
    /**
     * \brief This class represente a date, in terms of milliseconds.
     * \author Julien Jorge.
     */
    class TIME_EXPORT time_reference
    {
    public:
      void set();

      operator unsigned int() const;
      operator unsigned int&();

    private:
      /** \brief The number of milliseconds... */
      unsigned int m_milliseconds;

    }; // class time_reference
  } // namespace time_ref
} // namespace bear

#endif // __TIME_TIME_REFERENCE_HPP__
