/*
  Bear Engine

  Copyright (C) 2005-2008 Julien Jorge, Sebastien Angibaud

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: plee-the-bear@gamned.org

  Please add the tag [Bear] in the subject of your mails.
*/
/**
 * \file player_killer.cpp
 * \brief Implementation of the bear::player_killer class.
 * \author Julien Jorge
 */
#include "generic_items/player_killer.hpp"

#include "universe/collision_info.hpp"
#include "engine/export.hpp"
#include "engine/player.hpp"

BASE_ITEM_EXPORT( player_killer, bear )

/*----------------------------------------------------------------------------*/
/**
 * \brief Kill \a that if it is a player.
 * \param that The other item of the collision.
 * \param info Some informations about the collision.
 */
void bear::player_killer::collision
( engine::base_item& that, universe::collision_info& info )
{
  engine::player* p = dynamic_cast<engine::player*>(&that);

  if ( p )
    p->do_action( engine::player::action_die );
} // player_killer::collision()
