/*
  Bear Engine

  Copyright (C) 2005-2008 Julien Jorge, Sebastien Angibaud

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: plee-the-bear@gamned.org

  Please add the tag [Bear] in the subject of your mails.
*/
/**
 * \file invisible_player_stop_block.hpp
 * \brief An invisible block that blocks only the players.
 * \author Julien Jorge
 */
#ifndef __BEAR_INVISIBLE_PLAYER_STOP_BLOCK_HPP__
#define __BEAR_INVISIBLE_PLAYER_STOP_BLOCK_HPP__

#include "generic_items/invisible_block.hpp"

namespace bear
{
  /**
   * \brief An invisible block that blocks only the players.
   * \author Julien Jorge
   */
  class invisible_player_stop_block:
    public invisible_block
  {
    typedef invisible_block super;

  protected:
    void collision_check_player_and_align
    ( engine::base_item& that, universe::collision_info& info );

  private:
    void collision
    ( engine::base_item& that, universe::collision_info& info );

  }; // class invisible_player_stop_block
} // namespace bear

#endif // __BEAR_INVISIBLE_PLAYER_STOP_BLOCK_HPP__
