/*
  Bear Engine

  Copyright (C) 2005-2008 Julien Jorge, Sebastien Angibaud

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: plee-the-bear@gamned.org

  Please add the tag [Bear] in the subject of your mails.
*/
/**
 * \file player_killer.hpp
 * \brief This item kill the player on collision.
 * \author Julien Jorge
 */
#ifndef __BEAR_PLAYER_KILLER_HPP__
#define __BEAR_PLAYER_KILLER_HPP__

#include "engine/base_item.hpp"

namespace bear
{
  /**
   * \brief This item kill the player on collision.
   *
   * This class has no custom field.
   *
   * \author Julien Jorge
   */
  class player_killer:
    public engine::base_item
  {
  public:
    typedef engine::base_item super;

  private:
    void collision
    ( engine::base_item& that, universe::collision_info& info );

  }; // class player_killer
} // namespace bear

#endif // __BEAR_PLAYER_KILLER_HPP__
